<!DOCTYPE html>
<html>
<head>
	<title>Network Thread Processor</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="theme-color" content="#f50057">
    <!-- Windows Phone -->
    <meta name="msapplication-navbutton-color" content="#f50057">
    <!-- iOS Safari -->
    <meta name="apple-mobile-web-app-status-bar-style" content="#f50057">
    <meta name="robots" content="index, follow">
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<meta name="language" content="English">

	<meta http-equiv='cache-control' content='no-cache'>
	<meta http-equiv='expires' content='0'>
	<meta http-equiv='pragma' content='no-cache'>
	<meta name="revisit-after" content="1 days">
	<meta name="author" content="Dipnarayan Das">
  	<link rel="icon" href="https://perity.site/images/logo3.png" type="image/gif" sizes="16x16">

	<script src="https://code.jquery.com/jquery-2.2.4.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/tether/1.3.7/js/tether.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.0.0-alpha.3/js/bootstrap.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/mdbootstrap/4.1.1/js/mdb.min.js"></script>
	<link rel="stylesheet" type="text/css" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.6.0/css/font-awesome.min.css">
	<link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.0.0-alpha.3/css/bootstrap.min.css">
	<link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/mdbootstrap/4.1.1/css/mdb.min.css">
	<style type="text/css">
		body {
			position: relative;
			background-color: #f5f5f5 !important;
		}

		.navbar-dark .navbar-brand {
			color:#fff !important;
		}

		#collapseEx2 .navbar-nav li a.active {
			background:rgba(255,255,255,.15);
		}

		#home .view {
			height: 100vh;
		}

		.full-bg-img {
			color: #fff;
		}

		#home p, .title{
			font-weight:100;
		}

		main {
			margin-bottom: -20px;
		}
	</style>
	<style>
		ul, #myUL {
		  list-style-type: none;
		}

		#myUL {
		  margin: 0;
		  padding: 0;
		}

		.caret {
		  cursor: pointer;
		  -webkit-user-select: none; /* Safari 3.1+ */
		  -moz-user-select: none; /* Firefox 2+ */
		  -ms-user-select: none; /* IE 10+ */
		  user-select: none;
		}

		.caret::before {
		  content: "\25B6";
		  color: black;
		  display: inline-block;
		  margin-right: 6px;
		}

		.caret-down::before {
		  -ms-transform: rotate(90deg); /* IE 9 */
		  -webkit-transform: rotate(90deg); /* Safari */'
		  transform: rotate(90deg);  
		}

		.nested {
		  display: none;
		}

		.active {
		  display: block;
		}
	</style>

</head>
<body>

	<main>
		<section id="home">
			<!--Mask-->
			<div class="view primary-color" style="background-color: #f50057 !important">
				<div class="full-bg-img flex-center">
					<ul>
						<li>
							<h1 class="h1-responsive title">Network Thread Processing (NTP)</h1>
						</li>
<!-- 						<li>
							<p>Scroll down and read more</p>
						</li> -->
					</ul>
				</div>
			</div>
			<!--/.Mask-->
		</section>

		<section id="works" class="grey lighten-4">
			<div class="container">
				<div class="row">
					<div class="col-md-12 m-t-3 m-b-3">
						<p class="lead">
NTP is a new parallel threading model which work in network level. Here two types of process work.<br>
1. Communication<br>
2. Execution<br><br>
Here communication start using local parallel thread but the execution happens in network devices.<br>
<br>
NPC is Network Processor Client to interface with Network Processor. Network Processor can be run using Virtual Machine [Tested in Oracle Virtual Box]. Download the Netowork Processor from <a href="https://ntp.perity.site/NTP.ova">here</a>
						</p>
						<br>
						<h1 class="h1-responsive">Full Setup Tutorial</h1>
						<br>
						<video style="width: 100%" controls>
						  <source src="NTP.mp4" type="video/mp4">
						</video>
						<br>
						<h1 class="h1-responsive">Pricing</h1>
						<p class="lead">Free</p>
						<br>
						<h1 class="h1-responsive">License</h1>
						<p class="lead"><a href="https://perity.site/slicense">Check here</a></p>
						<br>
						<h1 class="h1-responsive">FAQ</h1>
						<ul id="myUL" class="lead">
				          <li><span class="caret">Why NTP?</span>
				            <ul class="nested">
				              <li>These days ML, Data Science, Deep Learning are trending topics. But there are many persons who don't have a good computer setup to perform analysis. So they need to change their hardware configuration. But not now, install Network Processor i as many as devices which is connected in same network connection. Then accumulate all device's efficiency to a signle device.</li><br>
				            </ul>
				          </li>
				          <li><span class="caret">What is the difference between NTP and Distributive Computing?</span>
				            <ul class="nested">
				              <li>In distributive computing a powerful share its different instances to different computers. It is centralized system. But NTP is opposite method of it which makes it Novel. In case of NTP a number of devices share their processing power to a signle device.</li><br>
				            </ul>
				          </li>
				          <li><span class="caret">What is the unit of timeout?</span>
				            <ul class="nested">
				              <li>Second. It is recommended to give minimum 5 seconds for any computing.</li><br>
				            </ul>
				          </li>
				          <li><span class="caret">Why not receving any data after execution?</span>
				            <ul class="nested">
				              <li>You need to assign the result to a specific variable named "processed_data" in your code.<br>
				              	Ex: a=10<br>b=20<br>processed_data=a+b</li><br>
				            </ul>
				          </li>
				          <li><span class="caret">Why after registering still Not Registered?</span>
				            <ul class="nested">
				              <li>You need to give the token value (Ex:abcd) in a specific file named "token.txt". If after that same problem occurs then contact us at perity.business@gmail.com</li><br>
				            </ul>
				          </li>
				          <li><span class="caret">How much is trial period?</span>
				            <ul class="nested">
				              <li>In case of offline usage 24 hours. But after 24 hours if you connect your Virtual Machine to internet then you can again use. We will keep usage time for registered token.</li><br>
				            </ul>
				          </li>
				          <li><span class="caret">Why not showing any server</span>
				            <ul class="nested">
				              <li>Check your internet adapters of Virtual Machine. Your VM may not be connected to any computer in the same network. You can check also by "ping" command.</li><br>
				            </ul>
				          </li>
				          <li><span class="caret">Which modules are already installed?</span>
				            <ul class="nested">
				              <textarea style="width: 100%;height: 300px;" readonly>
absl-py==0.9.0
altgraph==0.16.1
appdirs==1.4.3
argcomplete==1.10.0
arrow==0.15.2
astor==0.8.1
astroid==2.3.3
atomicwrites==1.3.0
attrs==19.3.0
audioread==2.1.8
Automat==20.2.0
autopep8==1.4.4
backcall==0.1.0
beautifulsoup4==4.8.0
bitarray==1.2.1
bleach==3.1.0
blis==0.4.1
boto==2.49.0
boto3==1.11.0
botocore==1.14.0
bottle==0.12.18
bottle-websocket==0.2.9
cairocffi==1.1.0
CairoSVG==2.4.2
catalogue==1.0.0
certifi==2019.9.11
cffi==1.13.1
chardet==3.0.4
check-manifest==0.41
chromaprint==0.5
classifier==2.0
Click==7.0
click-plugins==1.1.1
cobble==0.1.3
colorama==0.4.3
compileall2==0.5.0
constantly==15.1.0
cryptography==2.8
cssselect==1.1.0
cssselect2==0.2.2
cycler==0.10.0
cymem==2.0.3
Cython==0.29.13
decorator==4.4.1
defusedxml==0.6.0
dnspython==1.16.0
docutils==0.15.2
docx2txt==0.8
easygui==0.98.1
EbookLib==0.17.1
EditorConfig==0.12.2
Eel==0.11.0
entrypoints==0.3
extract-msg==0.23.1
eyeD3==0.8.10
feedparser==5.2.1
Flask==1.1.1
frida==12.7.16
frida-tools==5.1.0
ftputil==3.4
future==0.18.2
fuzzywuzzy==0.18.0
gast==0.2.2
gensim==3.8.1
gevent==1.4.0
gevent-websocket==0.10.1
gitpyport==0.1
google-pasta==0.1.8
greenlet==0.4.15
grpcio==1.26.0
h5py==2.10.0
html5lib==1.0.1
httplib2==0.17.1
hyperlink==19.0.0
idna==2.8
image-features==0.1
ImageHash==4.0
imageio==2.6.1
imageio-ffmpeg==0.4.1
IMAPClient==2.1.0
importlib-metadata==0.23
imutils==0.5.3
incremental==17.5.0
instarecon==0.1.2
ipaddr==2.2.0
ipaddress==1.0.23
ipgetter2==1.1.10
ipwhois==1.1.0
ipykernel==5.1.3
ipython==7.9.0
ipython-genutils==0.2.0
iso8601==0.1.12
isort==4.3.21
itsdangerous==1.1.0
jedi==0.15.1
Jinja2==2.10.3
jmespath==0.9.4
joblib==0.14.0
jsbeautifier==1.10.2
jsmin==2.2.2
json5==0.8.5
jsonschema==3.1.1
jupyter-client==5.3.4
jupyter-core==4.6.1
jupyterlab==1.2.1
jupyterlab-server==1.0.6
Keras==2.2.5
Keras-Applications==1.0.8
Keras-Preprocessing==1.1.0
keyring==21.2.0
kiwisolver==1.1.0
lazy-object-proxy==1.4.3
librosa==0.7.2
libsvm==3.23.0.3
llvmlite==0.31.0
lxml==4.4.2
mahotas==1.4.9
mammoth==1.4.10
Markdown==3.1.1
MarkupSafe==1.1.1
matplotlib==3.1.1
mccabe==0.6.1
mechanize==0.4.5
minecart==0.3.0
mistune==0.8.4
more-itertools==7.2.0
moviepy==1.0.2
munch==2.5.0
murmurhash==1.0.2
NAT-PMP==1.1
natsort==7.0.1
nbconvert==5.6.1
nbformat==4.4.0
networkx==2.4
nltk==3.4.5
noisereduce==1.1.0
notebook==6.0.1
NPC==1.3
numba==0.48.0
numpy==1.17.2
olefile==0.46
opencv-contrib-python==3.4.2.16
opencv-python==3.4.2.16
opt-einsum==3.1.0
packaging==19.2
pandas==0.25.3
pandocfilters==1.4.2
parsel==1.5.2
parso==0.5.1
pefile==2019.4.18
pep517==0.8.1
pic2vec==0.101.1
pickleshare==0.7.5
Pillow==5.4.1
pipenv==2018.11.26
pkginfo==1.5.0.1
plac==1.1.3
pliers==0.3.0
pluggy==0.13.1
ply==3.11
pproxy==2.2.0
preshed==3.0.2
pretrainedmodels==0.7.4
proglog==0.1.9
prometheus-client==0.7.1
prompt-toolkit==2.0.10
Protego==0.1.16
protobuf==3.11.2
psutil==5.6.7
py==1.8.1
py-cpuinfo==5.0.0
py-notifier==0.1.0
pyacoustid==1.1.7
pyasn1==0.4.8
pyasn1-modules==0.2.8
PyAudio==0.2.11
pyAudioAnalysis==0.2.5
pyaudioclassification==0.1.9
pybloom-live==3.0.0
pycodestyle==2.5.0
pycparser==2.19
pycryptodome==3.9.4
PyDispatcher==2.0.5
pydub==0.23.1
pyenchant==1.6.6
Pygments==2.6.1
PyHamcrest==2.0.2
PyInstaller==3.6
pylint==2.4.4
pyminifier==2.1
pyOpenSSL==19.1.0
pyparsing==2.4.2
Pyphen==0.9.5
pypiwin32==223
pyrsistent==0.15.5
pyserial==3.4
PySoundFile==0.9.0.post1
pytesseract==0.3.1
pytest==5.3.2
python-dateutil==2.8.0
python-Levenshtein==0.12.0
python-magic==0.4.15
python-minifier==2.3.0
python-pptx==0.6.18
pythonwhois==2.4.3
pytools==2020.1
pytz==2019.3
PyWavelets==1.1.1
pywin32==225
pywin32-ctypes==0.2.0
pywinpty==0.5.5
PyYAML==5.3
pyzmq==18.1.0
queuelib==1.5.0
readme-renderer==25.0
requests==2.22.0
requests-toolbelt==0.9.1
resampy==0.2.2
s3transfer==0.3.0
scapy==2.4.3
scikit-image==0.16.2
scikit-learn==0.21.3
scipy==1.3.1
Scrapy==2.0.1
seaborn==0.10.0
Send2Trash==1.5.0
serial==0.0.97
service-identity==18.1.0
shodan==1.20.0
simple-http-server==0.1.7
simplejson==3.16.0
six==1.13.0
sklearn==0.0
smart-open==1.9.0
sortedcontainers==2.1.0
sounddevice==0.3.14
SoundFile==0.10.3.post1
soupsieve==1.9.5
SpeechRecognition==3.8.1
srsly==1.0.1
SSIM-PIL==1.0.10
stanford-corenlp-pywrapper==0.1.0
statistics==1.0.3.5
tensorboard==1.15.0
tensorflow==1.15.0
tensorflow-estimator==1.15.1
termcolor==1.1.0
terminado==0.8.2
testpath==0.4.2
textract==1.6.3
thinc==7.3.1
tika==1.23
tinycss2==1.0.2
tld==0.11.11
toml==0.10.0
torch==1.1.0
torchvision==0.3.0
tornado==6.0.3
tqdm==4.41.1
trafaret==1.2.0
traitlets==4.3.3
ttkwidgets==0.10.0
twine==3.1.1
Twisted==20.3.0
typed-ast==1.4.0
tzlocal==1.5.1
UPnPy==1.1.5
urllib3==1.25.6
virtualenv==16.7.7
virtualenv-clone==0.5.3
w3lib==1.21.0
Wand==0.5.8
wasabi==0.6.0
wcwidth==0.1.7
WeasyPrint==51
webencodings==0.5.1
Werkzeug==0.16.0
whichcraft==0.6.1
wordcloud==1.6.0
wrapt==1.11.2
xlrd==1.2.0
xlsxwriter==1.2.6
zipp==0.6.0
zope.interface==5.0.2
				              </textarea><br>
				            </ul>
				          </li>
				          <li><span class="caret">Others</span>
				            <ul class="nested">
				              <li>Contact us at perity.business@gmail.com</li><br>
				            </ul>
				          </li>
						</ul>
						
				</div>
			</div>
		</section>

		<!-- Fixed bg -->

		<!-- <div class="fixed-bg"></div> -->


	</main>

<script>
var toggler = document.getElementsByClassName("caret");
var i;

for (i = 0; i < toggler.length; i++) {
  toggler[i].addEventListener("click", function() {
    this.parentElement.querySelector(".nested").classList.toggle("active");
    this.classList.toggle("caret-down");
  });
}
</script>
	<!--Footer-->
	<footer class="page-footer primary-color center-on-small-only" style="position: relative;">

      	<iframe src="https://perity.site/footer.html?v=90" frameborder="0" style="width: 100%;
    height: 100%;
    position: absolute;
    left: 0px;
    top: 0px;
    min-height: 433px;"></iframe>

	</footer>
	<!--/.Footer-->
	<script type="text/javascript">
		$('body').scrollspy({
			target: '#collapseEx2'
		});
	</script>
</body>
</body>
</html>